Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.streaming
Class StreamIn

    java.lang.Object
      org.apache.cassandra.streaming.StreamIn

    public class StreamIn

extends java.lang.Object

for streaming data from other nodes in to this one

Constructor Summary
`StreamIn()`

Method Summary
`static void` | `requestRanges(java.net.InetAddress source, java.lang.String tableName, java.util.Collection<Range> ranges)` Request ranges to be transferred from source to local node

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamIn

    public StreamIn()

Method Detail

### requestRanges

    public static void requestRanges(java.net.InetAddress source,
                                     java.lang.String tableName,
                                     java.util.Collection<Range> ranges)

  Request ranges to be transferred from source to local node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation